{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}

{% block css %}
    {% if breadcrumb == 'Halaman' %}
        <style>
            .django-ckeditor-widget{
                width: 100% !important;
            }
        </style>
    {% endif %}
    
    {% if breadcrumb == 'Kategori Mobil'  or breadcrumb == 'Partner Kami' %}
        <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
        <style>
            .crop-preview > canvas {
                width: 100%;
                height: auto;
            }
        </style>
    {% endif %}
    {% if breadcrumb == 'Why-Us' or breadcrumb == 'About' or breadcrumb == 'Counts' %}
        <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
        <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables-responsive.css' %}">
    {% endif %}
{% endblock css %}

{% block scripts %}
    {% if breadcrumb == 'Halaman' %}
        <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
        <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
    {% endif %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>

            {% if breadcrumb == 'Kategori Mobil' %}
                <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_setting_carousel' %}">{{breadcrumb}}</a></li>
            {% endif %}
            {% if breadcrumb == 'Destinasi' %}
                <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_setting_destinasi' %}">{{breadcrumb}}</a></li>
            {% endif %}
            {% if breadcrumb == 'Halaman' %}
                <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_setting_pages' %}">{{breadcrumb}}</a></li>
            {% endif %}
            {% if breadcrumb == 'Partner Kami' %}
                <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_setting_running_link' %}">{{breadcrumb}}</a></li>
            {% endif %}

            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} {{breadcrumb}}</h5>
        <div class="card-body">
            
            <div class="col col-md-12 d-flex justify-content-center">
                <div class="crop-preview" style="max-width: 100%; max-height: 100%;"></div>
            </div>

            {% if breadcrumb == 'Kategori Mobil' %}
                {% if edit %}
                    {% if carousel %}
                        {% if carousel.foto %}
                            <div class="col col-md-12 text-center" id="old-image">
                                <img class="img-responsive" style="max-width: 100%; max-height: 100%;" src="{{carousel.foto.url}}" alt="">
                                <p><small>File foto lama.</small></p>
                            </div>
                        {% endif %}
                        {% include 'profile/admin/setting/page/carousel_form.html' %}
                    {% else %}
                        <h1>CAROUSEL TIDAK DITEMUKAN</h1>
                    {% endif %}
                {% else %}
                    {% include 'profile/admin/setting/page/carousel_form.html' %}
                {% endif %}
            {% endif %}
            
            {% if breadcrumb == 'Destinasi' %}
                {% include 'profile/admin/setting/page/destinasi_form.html' %}
            {% endif %}

            {% if breadcrumb == 'Partner Kami' %}
                {% if edit %}
                    {% if running_link %}
                        {% if running_link.logo %}
                            <div class="col col-md-12 text-center" id="old-image">
                                <img class="img-responsive" style="max-width: 100%; max-height: 100%;" src="{{running_link.logo.url}}" alt="">
                                <p><small>File foto lama.</small></p>
                            </div>
                        {% endif %}
                        {% include 'profile/admin/setting/page/running_link_form.html' %}
                    {% else %}
                        <h1>Partner Kami TIDAK DITEMUKAN</h1>
                    {% endif %}
                {% else %}
                    {% include 'profile/admin/setting/page/running_link_form.html' %}
                {% endif %}
            {% endif %}

            {% if breadcrumb == 'Halaman' %}
                {% if edit %}
                    {% if halaman %}
                        {% include 'profile/admin/setting/page/halaman_form.html' %}
                    {% else %}
                        <h1>HALAMAN TIDAK DITEMUKAN</h1>
                    {% endif %}
                {% else %}
                    {% include 'profile/admin/setting/page/halaman_form.html' %}
                {% endif %}
                
            {% endif %}

            {% if breadcrumb == 'Why-Us' or breadcrumb == 'About' or breadcrumb == 'Counts' %}
                {% if edit %}
                    {% if dataAbout %}
                        {% include 'profile/admin/setting/page/why_us_form.html' %}
                    {% else %}
                        <h1>HALAMAN TIDAK DITEMUKAN</h1>
                    {% endif %}
                {% else %}
                    {% include 'profile/admin/setting/page/why_us_form.html' %}
                {% endif %}
                
            {% endif %}

            
        </div>
    </div>

    {% if breadcrumb == 'Carousel' or breadcrumb == 'Partner Kami' %}
        <!-- MODAL TO CROP THE IMAGE -->
        <div class="modal fade" id="modalCrop" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="m-0 font-weight-bold text-primary">Sesuaikan Foto</h5>
                        <button type="button" class="close text-primary modal-close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>

                    <div class="modal-body">
                        <img src="" id="image" style="max-width: 100%;">
                    </div>

                    <div class="modal-footer">
                    <div class="btn-group pull-left" role="group">
                        <button type="button" class="btn btn-default js-zoom-in">
                            <i class="bi bi-zoom-in"></i>
                        </button>
                        <button type="button" class="btn btn-default js-zoom-out">
                            <i class="bi bi-zoom-out"></i>
                        </button>
                    </div>
                    <button type="button" class="btn btn-primary js-crop-and-upload">Crop</button>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    {% if breadcrumb == 'Why-Us' or breadcrumb == 'About' or breadcrumb == 'Counts' %}
    <div class="modal fade" id="modal_icon" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h6 class="m-0 font-weight-bold text-primary">Pilih Icon</h6>
                    <button type="button" class="close text-primary modal-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body fontawesome-icon-list">
                    <table id="tbl_icon" class="display responsive nowrap mt-0" cellspacing="0" width="100%">
                        <thead hidden>
                            <tr><th>Icon</th><th>Icon</th><th>Icon</th></tr>
                        </thead>
                        <tbody>
                            {% for dtt in dticon %}
                            <tr>
                                {% for dt in dtt %}
                                <td class="fa-hover">
                                    {% if section == 'counts' %}
                                    <span alt="fa {{dt}}"><i class="fa {{dt}}"></i>&nbsp;{{dt}}</span>
                                    {% else %}
                                    <span alt="bx {{dt}}"><i class="bx {{dt}}"></i>&nbsp;{{dt}}</span>
                                    {% endif %}
                                </td>
                                {% endfor %}
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <style type="text/css">
        .fontawesome-icon-list {
            width: 100%;
            max-height: 500px;
            overflow: auto;
            margin: 10px -5px;
        }
        .fontawesome-icon-list .fa-hover span{
            display:block;
            color:#222;
            line-height:25px;
            height:30px;
            padding: 5px;
            cursor: pointer;
            font-size: 12px;
        }
        .fontawesome-icon-list .fa-hover span i{
            font-size: 20px !important;
        }
        .fa-hover>span:hover{
            background-color: #183F62;
            color: #FFFFFF;
            font-weight: bold;
        }
    </style>
    {% endif %}

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    {% if breadcrumb == 'Kategori Mobil' %}
        <script>
             function formatRp(angka, id) {
                var number_string = angka.replace(/[^,\d]/g, '').toString(),
                    split    = number_string.split(','),
                    sisa     = split[0].length % 3,
                    duit     = split[0].substr(0, sisa),
                    ribuan     = split[0].substr(sisa).match(/\d{3}/gi);

                if (ribuan) {
                    separator = sisa ? '.' : '';
                    duit += separator + ribuan.join('.');
                }

                duit = split[1] !== undefined ? duit + ',' + split[1] : duit;
                document.getElementById(id).value = "Rp. " + duit;

                var inputElement1 = document.getElementById("fix_harga");
                inputElement1.value = duit.replace(/[^0-9]/g, '');
            }
            $(document).ready(function() {
                $('#harga').trigger('keyup')
            });
            function hitungHargaSetelahDiskon() {// mengambil harga dan menghilangkan titik
                var diskon = parseFloat(document.getElementById('diskon').value);
                console.log(diskon)
                var after_diskon = document.getElementById('after_diskon');
                var fix_harga = parseInt(document.getElementById('fix_harga').value);
                // var fixPrice = parseInt(document.getElementById('harga').value.replace(/\./g, ''));
                // console.log(fixPrice)
                console.log(fix_harga)
                // var Price = parseInt(document.getElementById('untukdisk').value.replace(/\./g, '')); // mengambil harga asli dan menghilangkan titik

                // menyimpan harga asli ke dalam inputan dengan id fixprice
                // document.getElementById('fix_harga').value = fixPrice;
                // document.getElementById('untukdisk').value = Price;

                console.log(diskon)
                // console.log(fixPrice)
                // console.log(Price)

                // menghitung harga setelah diskon
                if (diskon != '' && !isNaN(diskon)) {
                    var hargaSetelahDiskon = fix_harga - (fix_harga * (diskon / 100));
                    after_diskon.value = hargaSetelahDiskon;
                } else {
                    after_diskon.value = 0;
                }
                console.log(after_diskon.value)
                var fixdiskon = document.getElementById('fixdiskon');
                fixdiskon.value = after_diskon.value;
                console.log(fixdiskon.value)
            }
            const enablePromoYes = document.querySelector('#enablePromoYes');
            const promoInput = document.querySelector('#diskon');
            const paketPromoInput = document.querySelector('#after_diskon');
            const promoLabel = document.querySelector('label[for="diskon"]');
            const paketpromoLabel = document.querySelector('label[for="after_diskon"]');
            promoInput.style.display = 'none';
            promoLabel.style.display = 'none';
            paketpromoLabel.style.display = 'none';
            paketPromoInput.style.display = 'none';
                
            if (enablePromoYes.checked) {
                promoInput.removeAttribute('disabled');
                promoInput.style.display = 'block';
                paketPromoInput.style.display = 'block';
                promoLabel.style.display = 'block';
                paketpromoLabel.style.display = 'block';
            } else {
                promoInput.setAttribute('disabled', true);
                paketPromoInput.setAttribute('disabled', true);
                promoInput.style.display = 'none';
                paketPromoInput.style.display = 'none';
                promoLabel.style.display = 'none';
                paketpromoLabel.style.display = 'none';
            }
                    
            enablePromoYes.addEventListener('change', () => {
                if (enablePromoYes.checked) {
                promoInput.removeAttribute('disabled');
                promoInput.style.display = 'block';
                paketPromoInput.style.display = 'block';
                promoLabel.style.display = 'block';
                paketpromoLabel.style.display = 'block';
                }
            });
                
            const enablePromoNo = document.querySelector('#enablePromoNo');
                enablePromoNo.addEventListener('change', () => {
                if (enablePromoNo.checked) {
                promoInput.setAttribute('disabled', true);
                paketPromoInput.setAttribute('disabled', true);
                promoInput.style.display = 'none';
                paketPromoInput.style.display = 'none';
                promoLabel.style.display = 'none';
                paketpromoLabel.style.display = 'none';
                }
            });
        </script>
    {% endif %}

    {% if breadcrumb == 'Carousel' %}
        <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
        <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
        <script>
            $( document ).ready(function() {
                $(".modal-close").click(function(){
                    $("#id_foto").val(null);
                });

                $("#id_foto").change(function () {
                    if (this.files && this.files[0]) {
                        let reader = new FileReader();
                        
                        reader.onload = function (e) {
                            $("#image").attr("src", e.target.result);
                            $("#modalCrop").modal("show");
                        }

                        reader.readAsDataURL(this.files[0]);
                    }
                });

                let $image = $("#image");
                let cropBoxData;
                let canvasData;

                $("#modalCrop").on("shown.bs.modal", function () {
                    $image.cropper({
                        viewMode: 1,
                        aspectRatio: 16/9,
                        minCropBoxWidth:200,
                        minCropBoxHeight: 200,
                        ready: function () {
                            $image.cropper("setCanvasData", canvasData);
                            $image.cropper("setCropBoxData", cropBoxData);
                    }
                });

                }).on("hidden.bs.modal", function () {
                    cropBoxData = $image.cropper("getCropBoxData");
                    canvasData = $image.cropper("getCanvasData");
                    $image.cropper("destroy");
                });

                // Enable zoom in button
                $(".js-zoom-in").click(function () {
                    $image.cropper("zoom", 0.1);
                });

                // Enable zoom out button
                $(".js-zoom-out").click(function () {
                    $image.cropper("zoom", -0.1);
                });

                $(".js-crop-and-upload").click(function () {
                    var cropData = $image.cropper("getData");
                    $("#id_x").val(cropData["x"]);
                    $("#id_y").val(cropData["y"]);
                    $("#id_height").val(cropData["height"]);
                    $("#id_width").val(cropData["width"]);
                    $("#modalCrop").modal('hide');
                    let data;
                    let croppedimage = $image.cropper("getCroppedCanvas")
                    $(".crop-preview").html(croppedimage);
                    $("#old-image").addClass('d-none');
                    $("#old-image").hide();
                });
            });
        </script>
    {% endif %}

    {% if breadcrumb == 'Partner Kami' %}
        <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
        <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
        <script>
            $( document ).ready(function() {
                $(".modal-close").click(function(){
                    $("#id_logo").val(null);
                });

                $("#id_logo").change(function () {
                    if (this.files && this.files[0]) {
                        let reader = new FileReader();
                        
                        reader.onload = function (e) {
                            $("#image").attr("src", e.target.result);
                            $("#modalCrop").modal("show");
                        }

                        reader.readAsDataURL(this.files[0]);
                    }
                });

                let $image = $("#image");
                let cropBoxData;
                let canvasData;

                $("#modalCrop").on("shown.bs.modal", function () {
                    $image.cropper({
                        viewMode: 1,
                        aspectRatio: 28/10,
                        minCropBoxWidth:200,
                        minCropBoxHeight: 200,
                        ready: function () {
                            $image.cropper("setCanvasData", canvasData);
                            $image.cropper("setCropBoxData", cropBoxData);
                    }
                });

                }).on("hidden.bs.modal", function () {
                    cropBoxData = $image.cropper("getCropBoxData");
                    canvasData = $image.cropper("getCanvasData");
                    $image.cropper("destroy");
                });

                // Enable zoom in button
                $(".js-zoom-in").click(function () {
                    $image.cropper("zoom", 0.1);
                });

                // Enable zoom out button
                $(".js-zoom-out").click(function () {
                    $image.cropper("zoom", -0.1);
                });

                $(".js-crop-and-upload").click(function () {
                    var cropData = $image.cropper("getData");
                    $("#id_x").val(cropData["x"]);
                    $("#id_y").val(cropData["y"]);
                    $("#id_height").val(cropData["height"]);
                    $("#id_width").val(cropData["width"]);
                    $("#modalCrop").modal('hide');
                    let data;
                    let croppedimage = $image.cropper("getCroppedCanvas")
                    $(".crop-preview").html(croppedimage);
                    $("#old-image").addClass('d-none');
                    $("#old-image").hide();
                });
            });
        </script>
    {% endif %}

    {% if breadcrumb == 'Why-Us' or breadcrumb == 'About' or breadcrumb == 'Counts' %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#tbl_icon').DataTable({
                "scrollY": 380,
                "paging": false,
                "searching": true,
            });
        });
        function get_modal_icon(aidi, section){
            $("#modal_icon .modal-body").attr('alt',aidi);
            $("#modal_icon").modal("show");
        }

        $('.fa-hover span').dblclick(function () {
            var ikon = $(this).attr("alt");
            var id_icon = $("#modal_icon .modal-body").attr('alt');

            $('#'+id_icon).val(ikon);
            $("#img_icon").attr('class',ikon);
            $('#modal_icon').modal('hide');
        });
    </script>
    {% endif %}
    
{% endblock scripts_bawah %}